ON_AnnotationArrow Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_annotation.h>`

Inheritance diagram for ON_AnnotationArrow:

## Public Member Functions

| ON_AnnotationArrow ()
| ~ON_AnnotationArrow ()
| ON_AnnotationArrow (const ON_AnnotationArrow &)
ON_AnnotationArrow & | operator= (const ON_AnnotationArrow &)
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON::object_type | ObjectType () const
int | Dimension () const
ON_BOOL32 | GetBBox (double *, double *, ON_BOOL32=false) const
ON_BOOL32 | Transform (const ON_Xform &)
ON_3dVector | Vector () const
ON_3dPoint | Head () const
ON_3dPoint | Tail () const
Public Member Functions inherited from ON_Geometry
| ON_Geometry ()
| ON_Geometry (const ON_Geometry &)
ON_Geometry & | operator= (const ON_Geometry &)
virtual | ~ON_Geometry ()
ON_BoundingBox | BoundingBox () const
ON_BOOL32 | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
ON_BOOL32 | GetBoundingBox (ON_3dPoint &bbox_min, ON_3dPoint &bbox_max, int bGrowBox=false) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Translate (const ON_3dVector &translation_vector)
ON_BOOL32 | Scale (double scale_factor)
virtual bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
virtual void | ClearBoundingBox ()
virtual bool | IsDeformable () const
virtual bool | MakeDeformable ()
virtual ON_BOOL32 | SwapCoordinates (int i, int j)
virtual ON_BOOL32 | HasBrepForm () const
virtual ON_Brep * | BrepForm (ON_Brep *brep=NULL) const
virtual ON_COMPONENT_INDEX | ComponentIndex () const
virtual bool | EvaluatePoint (const class ON_ObjRef &objref, ON_3dPoint &P) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_3dPoint | m_tail
ON_3dPoint | m_head

## Detailed Description

Definition at line 70 of file opennurbs_annotation.h.

## Constructor & Destructor Documentation

## ON_AnnotationArrow() [1/2]

ON_AnnotationArrow::ON_AnnotationArrow | ( |  | ) |

## ~ON_AnnotationArrow()

ON_AnnotationArrow::~ON_AnnotationArrow | ( |  | ) |

## ON_AnnotationArrow() [2/2]

ON_AnnotationArrow::ON_AnnotationArrow | ( | const ON_AnnotationArrow & |  | ) |

## Member Function Documentation

## Dimension()

int ON_AnnotationArrow::Dimension | ( |  | ) | const

virtual

Implements ON_Geometry.

## Dump()

void ON_AnnotationArrow::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## GetBBox()

ON_BOOL32 ON_AnnotationArrow::GetBBox | ( | double * | ,
|  | double * | ,
|  | ON_BOOL32 | = `false`
| ) |  | const

virtual

Implements ON_Geometry.

## Head()

ON_3dPoint ON_AnnotationArrow::Head | ( |  | ) | const

## IsValid()

ON_BOOL32 ON_AnnotationArrow::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## ObjectType()

ON::object_type ON_AnnotationArrow::ObjectType | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## operator=()

ON_AnnotationArrow& ON_AnnotationArrow::operator= | ( | const ON_AnnotationArrow & |  | ) |

## Read()

ON_BOOL32 ON_AnnotationArrow::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

## Tail()

ON_3dPoint ON_AnnotationArrow::Tail | ( |  | ) | const

## Transform()

ON_BOOL32 ON_AnnotationArrow::Transform | ( | const ON_Xform & |  | ) |

virtual

Reimplemented from ON_Geometry.

## Vector()

ON_3dVector ON_AnnotationArrow::Vector | ( |  | ) | const

## Write()

ON_BOOL32 ON_AnnotationArrow::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_head

ON_3dPoint ON_AnnotationArrow::m_head

Definition at line 145 of file opennurbs_annotation.h.

## m_tail

ON_3dPoint ON_AnnotationArrow::m_tail

Definition at line 144 of file opennurbs_annotation.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_annotation.h